summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author crocket2010-06-28 16:48:28 +0200
committer dsomero2010-06-28 16:48:28 +0200
commit460f99dd0ccd07dbbe0a714729aea2f5698d7f04 (patch)
tree3991b13797cd4c99e5929be96234079224938587 /system
parentb825310bf824d33a71d886f6da2fbfde0a819ed2 (diff)
downloadslackbuilds-460f99dd0ccd07dbbe0a714729aea2f5698d7f04.tar.gz
system/os-prober: Added (an OS detector)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/os-prober/README7
-rw-r--r--system/os-prober/os-prober.SlackBuild76
-rw-r--r--system/os-prober/os-prober.info10
-rw-r--r--system/os-prober/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/system/os-prober/README b/system/os-prober/README
new file mode 100644
index 0000000000..935b5c3558
--- /dev/null
+++ b/system/os-prober/README
@@ -0,0 +1,7 @@
+os-prober (an OS detector)
+
+os-prober detects OSes on other partitions than the current system
+partition, and outputs the results in a generic machine-readable
+format. This information can be used to add other OSes to the boot
+loader.
+
diff --git a/system/os-prober/os-prober.SlackBuild b/system/os-prober/os-prober.SlackBuild
new file mode 100644
index 0000000000..38a5e82750
--- /dev/null
+++ b/system/os-prober/os-prober.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for os-prober
+
+# Written by crocket (crockabiscuit@yahoo.com)
+
+PRGNAM=os-prober
+VERSION=${VERSION:-1.38}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION.tar.gz
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Compile newns
+make
+# Create a hierharchy for os-prober package, and copy files into it.
+# I figured out the hierarchy by typing "dpkg -L os-prober" in ubuntu.
+mkdir -p $PKG/var/lib/$PRGNAM
+
+mkdir -p $PKG/usr/bin
+cp linux-boot-prober $PKG/usr/bin
+cp os-prober $PKG/usr/bin
+
+mkdir -p $PKG/usr/lib/$PRGNAM
+cp newns $PKG/usr/lib/$PRGNAM
+
+mkdir -p $PKG/usr/lib/os-probes
+cp os-probes/common/* $PKG/usr/lib/os-probes
+mkdir -p $PKG/usr/lib/os-probes/mounted
+cp os-probes/mounted/common/* $PKG/usr/lib/os-probes/mounted
+cp os-probes/mounted/x86/* $PKG/usr/lib/os-probes/mounted
+
+mkdir -p $PKG/usr/lib/os-probes/init
+cp os-probes/init/common/* $PKG/usr/lib/os-probes/init
+
+mkdir -p $PKG/usr/lib/linux-boot-probes
+cp linux-boot-probes/common/* $PKG/usr/lib/linux-boot-probes/
+mkdir $PKG/usr/lib/linux-boot-probes/mounted
+cp linux-boot-probes/mounted/common/* $PKG/usr/lib/linux-boot-probes/mounted
+cp linux-boot-probes/mounted/x86/* $PKG/usr/lib/linux-boot-probes/mounted
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp common.sh $PKG/usr/share/$PRGNAM
+# End of making os-prober directory hierarchy.
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README TODO debian/{copyright,changelog} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/system/os-prober/os-prober.info b/system/os-prober/os-prober.info
new file mode 100644
index 0000000000..878384ea5e
--- /dev/null
+++ b/system/os-prober/os-prober.info
@@ -0,0 +1,10 @@
+PRGNAM="os-prober"
+VERSION="1.38"
+HOMEPAGE="http://packages.debian.org/unstable/utils/os-prober"
+DOWNLOAD="http://ftp.de.debian.org/debian/pool/main/o/os-prober/os-prober_1.38.tar.gz"
+MD5SUM="7672f7e7dc574bc3753d4310f8072c20"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@yahoo.com"
+APPROVED="dsomero"
diff --git a/system/os-prober/slack-desc b/system/os-prober/slack-desc
new file mode 100644
index 0000000000..9d43ba63f3
--- /dev/null
+++ b/system/os-prober/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+os-prober: os-prober (an OS detector)
+os-prober:
+os-prober: os-prober detects OSes on other partitions than the current system
+os-prober: partition, and outputs the results in a generic machine-readable
+os-prober: format. This information can be used to add other OSes to the boot
+os-prober: loader.
+os-prober:
+os-prober: Homepage: http://packages.debian.org/unstable/utils/os-prober
+os-prober:
+os-prober:
+os-prober: